#-------------------------------------------------
#
# Project created by QtCreator 2016-02-04T20:14:07
#
#-------------------------------------------------


QT       += widgets sql

TARGET = services
TEMPLATE = lib

DEFINES += SERVICES_LIBRARY\
        _GLIBCXX_USE_CXX11_ABI=1

SOURCES += services.cpp \
    data/accservice.cpp \
    accserviceform.cpp \
    accservicestablemodel.cpp \
    accservicegrid.cpp

HEADERS += services.h\
        services_global.h \
    data/accservice.h \
    accserviceform.h \
    accservicestablemodel.h \
    accservicegrid.h

include(../config_plugin.pri)

OTHER_FILES += service.json

ODB_FILES = services/data/accservice.h
H_DIR = $$PWD/data/*.h
include(../odb.pri)

FORMS += \
    accserviceform.ui


RESOURCES += \
    servicesrc.qrc
TRANSLATIONS = translations/services_cs_CZ.ts
